commit:     4c8a5f8499c8f8ee869dd9d7a1ba7858926ad3a3
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Sun Nov  4 06:51:48 2018 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 16:09:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c8a5f84

media-libs/libsdl2: Support app-i18n/fcitx and app-i18n/ibus.

Closes: https://bugs.gentoo.org/670248
Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 media-libs/libsdl2/libsdl2-2.0.12-r2.ebuild | 16 +++++++++++++---
 media-libs/libsdl2/metadata.xml             |  2 ++
 profiles/arch/alpha/package.use.mask        |  4 ++++
 profiles/arch/arm/package.use.mask          |  4 ++++
 profiles/arch/arm64/package.use.stable.mask |  4 ++++
 profiles/arch/hppa/package.use.stable.mask  |  4 ++++
 profiles/arch/ia64/package.use.mask         |  4 ++++
 profiles/arch/sparc/package.use.mask        |  4 ++++
 8 files changed, 39 insertions(+), 3 deletions(-)

diff --git a/media-libs/libsdl2/libsdl2-2.0.12-r2.ebuild 
b/media-libs/libsdl2/libsdl2-2.0.12-r2.ebuild
index e550c24802d..83131e2c099 100644
--- a/media-libs/libsdl2/libsdl2-2.0.12-r2.ebuild
+++ b/media-libs/libsdl2/libsdl2-2.0.12-r2.ebuild
@@ -13,10 +13,12 @@ LICENSE="ZLIB"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~ppc ~ppc64 sparc x86"
 
-IUSE="alsa aqua cpu_flags_ppc_altivec cpu_flags_x86_3dnow cpu_flags_x86_mmx 
cpu_flags_x86_sse cpu_flags_x86_sse2 custom-cflags dbus gles2 haptic jack 
+joystick kms libsamplerate nas opengl oss pulseaudio +sound static-libs 
+threads tslib udev +video video_cards_vc4 vulkan wayland X xinerama 
xscreensaver"
+IUSE="alsa aqua cpu_flags_ppc_altivec cpu_flags_x86_3dnow cpu_flags_x86_mmx 
cpu_flags_x86_sse cpu_flags_x86_sse2 custom-cflags dbus fcitx4 gles2 haptic 
ibus jack +joystick kms libsamplerate nas opengl oss pulseaudio +sound 
static-libs +threads tslib udev +video video_cards_vc4 vulkan wayland X 
xinerama xscreensaver"
 REQUIRED_USE="
        alsa? ( sound )
+       fcitx4? ( dbus )
        gles2? ( video )
+       ibus? ( dbus )
        jack? ( sound )
        nas? ( sound )
        opengl? ( video )
@@ -29,7 +31,9 @@ REQUIRED_USE="
 CDEPEND="
        alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
        dbus? ( >=sys-apps/dbus-1.6.18-r1[${MULTILIB_USEDEP}] )
+       fcitx4? ( app-i18n/fcitx:4 )
        gles2? ( >=media-libs/mesa-9.1.6[${MULTILIB_USEDEP},gles2] )
+       ibus? ( app-i18n/ibus )
        jack? ( virtual/jack[${MULTILIB_USEDEP}] )
        kms? (
                >=x11-libs/libdrm-2.4.46[${MULTILIB_USEDEP}]
@@ -65,6 +69,7 @@ CDEPEND="
 RDEPEND="${CDEPEND}
        vulkan? ( media-libs/vulkan-loader )"
 DEPEND="${CDEPEND}
+       ibus? ( dev-libs/glib:2[${MULTILIB_USEDEP}] )
        vulkan? ( dev-util/vulkan-headers )
        X? ( x11-base/xorg-proto )
 "
@@ -92,7 +97,7 @@ src_prepare() {
 
        # Unbundle some headers.
        rm -r src/video/khronos || die
-       ln -s "${SYSROOT}${EPREFIX}"/usr/include src/video/khronos || die
+       ln -s "${ESYSROOT}/usr/include" src/video/khronos || die
 
        AT_M4DIR="/usr/share/aclocal acinclude" eautoreconf
 }
@@ -100,6 +105,10 @@ src_prepare() {
 multilib_src_configure() {
        use custom-cflags || strip-flags
 
+       if use ibus; then
+               local -x IBUS_CFLAGS="-I${ESYSROOT}/usr/include/ibus-1.0 
-I${ESYSROOT}/usr/include/glib-2.0 
-I${ESYSROOT}/usr/$(get_libdir)/glib-2.0/include"
+       fi
+
        # sorted by `./configure --help`
        local myeconfargs=(
                $(use_enable static-libs static)
@@ -166,7 +175,8 @@ multilib_src_configure() {
                $(use_enable vulkan video-vulkan)
                $(use_enable udev libudev)
                $(use_enable dbus)
-               --disable-ibus
+               $(use_enable fcitx4 fcitx)
+               $(use_enable ibus)
                $(use_enable tslib input-tslib)
                --disable-directx
                --disable-rpath

diff --git a/media-libs/libsdl2/metadata.xml b/media-libs/libsdl2/metadata.xml
index ec21c0415ca..fb417beddc0 100644
--- a/media-libs/libsdl2/metadata.xml
+++ b/media-libs/libsdl2/metadata.xml
@@ -24,8 +24,10 @@
                Perl, PHP, Pike, Python, and Ruby.
        </longdescription>
        <use>
+               <flag name="fcitx4">Enable support for 
<pkg>app-i18n/fcitx</pkg> 4</flag>
                <flag name="gles2">include OpenGL ES 2.0 support</flag>
                <flag name="haptic">Enable the haptic (force feedback) 
subsystem</flag>
+               <flag name="ibus">Enable support for 
<pkg>app-i18n/ibus</pkg></flag>
                <flag name="joystick">Control joystick support (disable at your 
own risk)</flag>
                <flag name="kms">Build the KMSDRM video driver</flag>
                <flag name="sound">Control audio support (disable at your own 
risk)</flag>

diff --git a/profiles/arch/alpha/package.use.mask 
b/profiles/arch/alpha/package.use.mask
index 5daea90dd3c..89df41fadc2 100644
--- a/profiles/arch/alpha/package.use.mask
+++ b/profiles/arch/alpha/package.use.mask
@@ -1,6 +1,10 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
+# Arfrever Frehtes Taifersar Arahesis <[email protected]> (2020-10-14)
+# app-i18n/fcitx:4 not keyworded.
+media-libs/libsdl2 fcitx4
+
 # Sergei Trofimovich <[email protected]> (2020-09-18)
 # media-libs/libilbc is not ported to alpha
 net-analyzer/wireshark ilbc

diff --git a/profiles/arch/arm/package.use.mask 
b/profiles/arch/arm/package.use.mask
index d94ce1f6df0..89c633ed487 100644
--- a/profiles/arch/arm/package.use.mask
+++ b/profiles/arch/arm/package.use.mask
@@ -1,6 +1,10 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
+# Arfrever Frehtes Taifersar Arahesis <[email protected]> (2020-10-14)
+# app-i18n/fcitx:4 not keyworded.
+media-libs/libsdl2 fcitx4
+
 # Joonas Niilola <[email protected]> (2020-10-02)
 # Dependency only keyworded on specific arm profiles.
 dev-libs/efl avif

diff --git a/profiles/arch/arm64/package.use.stable.mask 
b/profiles/arch/arm64/package.use.stable.mask
index d35962d7c22..e794332fb18 100644
--- a/profiles/arch/arm64/package.use.stable.mask
+++ b/profiles/arch/arm64/package.use.stable.mask
@@ -1,6 +1,10 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
+# Arfrever Frehtes Taifersar Arahesis <[email protected]> (2020-10-14)
+# app-i18n/fcitx:4 not stable.
+media-libs/libsdl2 fcitx4
+
 # Sam James <[email protected]> (2020-10-06)
 # Not yet stable on arm64.
 media-plugins/gst-plugins-meta dvb vpx

diff --git a/profiles/arch/hppa/package.use.stable.mask 
b/profiles/arch/hppa/package.use.stable.mask
index f2185c182f3..7019b8dfa63 100644
--- a/profiles/arch/hppa/package.use.stable.mask
+++ b/profiles/arch/hppa/package.use.stable.mask
@@ -17,6 +17,10 @@
 
 #--- END OF EXAMPLES ---
 
+# Arfrever Frehtes Taifersar Arahesis <[email protected]> (2020-10-14)
+# app-i18n/fcitx:4 not stable.
+media-libs/libsdl2 fcitx4
+
 # Rolf Eike Beer <[email protected]> (2020-06-10)
 # not stable dev-vcs/mercurial because of broken dependencies: bug #727390
 app-portage/layman mercurial

diff --git a/profiles/arch/ia64/package.use.mask 
b/profiles/arch/ia64/package.use.mask
index 86a2ecc0c55..025da0e2cbe 100644
--- a/profiles/arch/ia64/package.use.mask
+++ b/profiles/arch/ia64/package.use.mask
@@ -1,6 +1,10 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
+# Arfrever Frehtes Taifersar Arahesis <[email protected]> (2020-10-14)
+# app-i18n/fcitx:4 not keyworded.
+media-libs/libsdl2 fcitx4
+
 # Sergei Trofimovich <[email protected]> (2020-09-18)
 # media-libs/libilbc is not ported to ia64
 net-analyzer/wireshark ilbc

diff --git a/profiles/arch/sparc/package.use.mask 
b/profiles/arch/sparc/package.use.mask
index 983d8cb6871..5d39249bfa5 100644
--- a/profiles/arch/sparc/package.use.mask
+++ b/profiles/arch/sparc/package.use.mask
@@ -1,6 +1,10 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
+# Arfrever Frehtes Taifersar Arahesis <[email protected]> (2020-10-14)
+# app-i18n/fcitx:4 not keyworded.
+media-libs/libsdl2 fcitx4
+
 # Matt Turner <[email protected]> (2020-08-11)
 # No drivers on this architecture support Vulkan
 media-libs/mesa vulkan vulkan-overlay zink

Reply via email to